version: '3.7'

services:
  php:
    build:
      context: .
      dockerfile: docker/php/Dockerfile
      target: development
    image: smuu-universe-php
#    env_file:
#      - env/php.env
    environment:
      APP_ENV: testing
      MYSQL_HOST: db
      MYSQL_DATABASE: testing_smuu_universe
      MYSQL_USER: testing
      MYSQL_PASSWORD: 1234
      PASSWORD_PEPPER: VLTKXl99 # Only for development, production uses different pepper
    volumes:
      - ./:/app:rw

  nginx:
    build:
      context: .
      dockerfile: docker/nginx/Dockerfile
      target: development
    image: smuu-universe-nginx
    environment:
      VIRTUAL_HOST: testing.smuu-universe.de
    ports:
      - "8880:80"
    volumes:
      - ./public:/app/public:ro

  db:
    image: library/mysql:8.0.23
    build:
      context: .
      dockerfile: docker/mysql/Dockerfile
    command: --default-authentication-plugin=mysql_native_password --collation-server=utf8mb4_0900_ai_ci
    environment:
      MYSQL_DATABASE: testing_smuu_universe
      MYSQL_USER: testing
      MYSQL_PASSWORD: 1234
      MYSQL_ROOT_PASSWORD: 1234
    cap_add:
      - SYS_NICE  # CAP_SYS_NICE
    volumes:
      - db-data:/var/lib/mysql
      - ./data/sql/:/docker-entrypoint-initdb.d/:ro
    ports:
      - "33306:3306"

  pma:
    image: library/phpmyadmin:5.1.1
    ports:
      - "8080:80"
    environment:
      PMA_HOST: db
      PMA_PORT: 3306
      PMA_USER: root
      PMA_PASSWORD: 1234

volumes:
  db-data:
